crystalspace (0.99-20061023-1) unstable; urgency=low

  * New upstream 1.0 prerelease, switch to SVN

 -- Christian Bayle <bayle@debian.org>  Mon, 23 Oct 2006 21:29:27 +0200

crystalspace (0.99-20060125-2) unstable; urgency=low

  * added build-depends on libalut-dev (Closes: #359292) 
  * Applied patch FTBFS: Unmatched in regex (Closes: #359255)

 -- Christian Bayle <bayle@debian.org>  Wed,  5 Apr 2006 23:26:39 +0200

crystalspace (0.99-20060125-1) unstable; urgency=low

  * change build-deps to xlibmesa-gl-dev | libgl-dev (Closes: #331573)
  * solved FTBFS: amd64: -fPIC missing (Closes: #254680)
  * solved FTBFS: Error with soft3d.csplugin (Closes: #290100)
  * solved FTBFS: build-depends on removed xlibs-dev (Closes: #346653)
    changed with libx11-dev, libxext-dev, libxxf86vm-dev, x-dev
  * update to very last CVS (Closes: #344874)
  * crystalspace is not anymore a native package (Closes: #294037)(Closes: #348297)
  * solved upstream: Cannot load freetype2 font server plug-in (Closes: #263014)

 -- Christian Bayle <bayle@debian.org>  Wed, 18 Jan 2006 22:27:26 +0100

crystalspace (0.98-20040623-2.1) unstable; urgency=high

  * NMU
  * Urgency high because of RC bugfix
  * Added autoconf to Build-Depends so the _modified_ configure.ac is actually
    compiled, to get proper paths for the Python files (Closes: bug#266287)

 -- Esteban Manchado Velázquez <zoso@debian.org>  Wed,  8 Sep 2004 12:39:48 +0100

crystalspace (0.98-20040623-2) unstable; urgency=low

  * Corrected make disclean that was making fail most autobuild 

 -- Christian Bayle <bayle@debian.org>  Thu, 24 Jun 2004 23:01:26 +0200

crystalspace (0.98-20040623-1) unstable; urgency=low

  * New Upstream, should close FTBFS or at least change the way it fails,
  for this reason (Closes: bug#254684)(Closes: bug#255614)
  * Changed dependancy taking in account "res" comments
  * Added -fPIC for amd64 (Closes: bug#254680)
  * Removed (At least I tried) -I/usr/local/include (Closes: bug#216805)

 -- Christian Bayle <bayle@debian.org>  Thu, 24 Jun 2004 01:09:34 +0200

crystalspace (0.96-20030912-7) unstable; urgency=low

  * Removed support of libode an lib3ds for s390 

 -- Christian Bayle <bayle@debian.org>  Sat, 18 Oct 2003 23:41:20 +0200

crystalspace (0.96-20030912-6) unstable; urgency=low

  * Removed swigpygen
  * Build internal libs with -fPIC on ia64

 -- Christian Bayle <bayle@debian.org>  Sat, 18 Oct 2003 17:57:24 +0200

crystalspace (0.96-20030912-5) unstable; urgency=low

  * Removed support for lib3ds for ia64 since there is no dynamic
    version of lib3ds that makes fail build on ia64 since a static
    lib compiled without -fPIC can't be linked in a dynamic lib
    compiled with -fPIC (Closes: bug#216275)
  * Removed python plugin support for s390 and powerpc because of
    broken swig or g++

 -- Christian Bayle <bayle@debian.org>  Fri, 17 Oct 2003 21:51:55 +0200

crystalspace (0.96-20030912-4) unstable; urgency=low

  * Insert dh_buildinfo to get info at autobuid as
  adviced by Yann Dirson http://ydirson.free.fr/en/software/buildinfo.html

 -- Christian Bayle <bayle@debian.org>  Fri, 17 Oct 2003 15:10:18 +0200

crystalspace (0.96-20030912-3) unstable; urgency=low

  * Move the place where swipythgen is done
  * Now depends on swig1.3 instead of swig

 -- Christian Bayle <bayle@debian.org>  Thu, 16 Oct 2003 20:08:39 +0200

crystalspace (0.96-20030912-2) unstable; urgency=low

  * Added a dependancy on swig and make swigpygen 
  * Corrected a typo not to build lib3ds stuffs on hppa
  * Removed blocks from menu (this is not part of CS cvs now)

 -- Christian Bayle <bayle@debian.org>  Wed, 15 Oct 2003 21:11:16 +0200

crystalspace (0.96-20030912-1) unstable; urgency=low

  * Go to a new cvs snapshot, compatible with VOS packaging
  * CS is under heavy developpment and it's difficult to get a version
  available for all software using it, last release is rather old now
  I will try to find good snapshot date to get Planeshift work with
  this CS version.

 -- Christian Bayle <bayle@debian.org>  Tue, 14 Oct 2003 23:27:04 +0200

crystalspace (0.96-20030714-2) unstable; urgency=low

  * Stupid error in configure options 

 -- Christian Bayle <bayle@debian.org>  Mon, 14 Jul 2003 21:02:15 +0200

crystalspace (0.96-20030714-1) unstable; urgency=low

  * New build from fresh cvs

 -- Christian Bayle <bayle@debian.org>  Wed,  9 Jul 2003 21:48:09 +0200

crystalspace (0.96-20030609-5) unstable; urgency=low

  * Removed support for lib3ds and libode on hppa and alpha
  This always to try to (Closes: bug#198921)

 -- Christian Bayle <bayle@debian.org>  Mon, 14 Jul 2003 03:53:01 +0200

crystalspace (0.96-20030609-4) unstable; urgency=low

  * Readd 3ds support, since I NMUed lib3ds to compile with -fPIC on hppa
  and alpha, hope this will (Closes: bug#198921)
  * Don't try to rmdir a symlink (Closes: bug#198776) 

 -- Christian Bayle <bayle@debian.org>  Wed,  9 Jul 2003 18:13:05 +0200

crystalspace (0.96-20030609-3) unstable; urgency=low

  * Added a symlink test before rmdir (Closes: bug#198776) 

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 23:22:02 +0200

crystalspace (0.96-20030609-2) unstable; urgency=low

  * Remove 3ds support that make hppa FTBS should (Closes: bug#188916)
  * Correct an error when try to move a non existant file (Closes: bug#197570)

 -- Christian Bayle <bayle@debian.org>  Tue, 24 Jun 2003 21:52:56 +0200

crystalspace (0.96-20030609-1) unstable; urgency=low

  * Try to compile all with -fPIC for hppa should (Closes: bug#188916)

 -- Christian Bayle <bayle@debian.org>  Mon,  9 Jun 2003 14:32:27 +0200

crystalspace (0.96-20030205-5) unstable; urgency=low

  * Recompile against libvorbis0a (Closes: bug#185600)
  * Compile static libs without -fPIC (Closes: bug#183778)

 -- Christian Bayle <bayle@debian.org>  Fri, 28 Mar 2003 17:06:30 +0100

crystalspace (0.96-20030205-4) unstable; urgency=low

  * Hope to fix the remaining mixture of PIC and non PIC for build on hppa 

 -- Christian Bayle <bayle@debian.org>  Thu, 27 Feb 2003 21:46:28 +0100

crystalspace (0.96-20030205-3) unstable; urgency=low

  * CFLAGS += -fsigned-char for build failure on arm (Closes: bug#181222)
  Thanks to Julien Moine (speedblue@debian.org)
  * Compile even static lib with -fPIC to solve other build failure
  until upstream support for dynamic libs should (Closes: bug#182253)

 -- Christian Bayle <bayle@debian.org>  Wed, 26 Feb 2003 23:22:33 +0100

crystalspace (0.96-20030205-2) unstable; urgency=low

  * New upstream version from R0_96 branch (Closes: bug#180419)
  * -fno-rtti and -fno-exceptions removed from cs-config (Closes: bug#147818)
  * Fails to build on hppa made obsolete by new upstream (Closes: bug#146076)
  will have to be reopen with more info if this fails again
  * Isomap re-added (Closes: bug#178464)
  * Added new targets in rules, not completly satisfying, should be better in
  next upstream (Closes: bug#179528)
  * Moved config files in /etc and added proper symlink
  * Added a build dependancy on libode-dev
  * Now build static lib without -fPIC to respect policy

 -- Christian Bayle <bayle@debian.org>  Sat, 22 Feb 2003 21:10:42 +0100

crystalspace (0.94-20020502-4) unstable; urgency=low

  * Integrate NMU changes upstream (Next time please, when you NMU
    send a patch, thanks)
  * Failed to build from source patch (Closes: bug#174969)
  * Renaming zoo in cszoo for name conflic with /usr/bin/zoo
   (Closes: bug#170536)
  * Added script/cs-config files (Closes: bug#157234)

 -- Christian Bayle <bayle@debian.org>  Sun, 12 Jan 2003 18:43:36 +0100

crystalspace (0.94-20020502-3.1) unstable; urgency=low

  * NMU to fix breakage caused by libvorbis0 split.

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 29 Jul 2002 23:00:00 -0500

crystalspace (0.95-20020813) unstable; urgency=low

  * Updates to make compilation easier with recent CVS

 -- Peter Amstutz <tetron@interreality.org>  Tue, 13 Aug 2002 08:31:56 +0100

crystalspace (0.94-20020502-3) unstable; urgency=low

  * Added support for HPPA and M68K in arch.sh commited upstream
  this should (Closes: bug#146076) and (Closes: bug#146688), please reopen
  in case of problem

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.94-20020502-2) unstable; urgency=low

  * Upstream change, should solve ia64 compile problems (CLoses: bug#145631)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.94-20020502-1) unstable; urgency=low

  * New snapshot
  * Updated description in control file (Closes: bug#145225)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.94-20020412-3) unstable; urgency=low

  * I completly missed version numbering to 2001 instead of 2002 

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.94-20020412-2) unstable; urgency=low

  * Make compile with -fPIC, this solve compile problems
  on ia64 (Closes: bug#142633)
  * Made a change in upstream plugins/net/driver/ensocket/inet.h
  size_t is now  socklen_t to try to correct autobuilder failure on s390.

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.94-20020412-1) unstable; urgency=low

  * Added suggested changes proposed by Gerhard Tonn <GerhardTonn@swol.de>
  to support s390 (Closes: bug#142404)
  * Renaming picview in cspicview because of name conflict with picview 
  package (Closes: bug#141198)
  * New upstream

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-8) unstable; urgency=low

  * Changed svgalibg1-dev dependancy to try to get autobuilders happy
  * I won't upload package daily when everything will compile on 
  all platforms (Closes: bug#140851)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-7) unstable; urgency=low

  * Changed version dependency on lib3ds-dev
  * Repeating Automan correction/improvment (Closes: bug#140793)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-6) unstable; urgency=low

  * Section changes in control file
  * Added dependancy on zlib1g (Closes: bug#140649)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-5) unstable; urgency=low

  * Repeating First upload (CLoses: bug#120691)
  * Removed csdemo from demos menus (Closes: bug#140508)
  * Added dependancy on on svgalib1 (Closes: bug#140510)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-4) unstable; urgency=low

  * Automan correction/improvment

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-3) unstable; urgency=low

  * Added dependency on zip, libpng, libjpeg62
  svgalibg1, python2.1, libfreetype6, lib3ds

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020315-2) unstable; urgency=low

  * Added dependency on xlibmesa

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020315-1) unstable; urgency=low

  * First upload (CLoses: bug#120691)
  * Fix cs-config from Loic Dachary
  * Cleanup in rules and createmenus
  * Added Missing .cfg files from Loic

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.92-1) unstable; urgency=low

  * Made i386 only, no i[4-6]86 optimization
  * CVS Daily Packaging

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.90-5) unstable; urgency=low

  * Added hints in menu
  * Added missing build dependencies
  * Force compiling with i386 

 -- Christian Bayle <bayle@aist.enst.fr>  Mon,  3 Dec 2001 17:52:23 +0100

crystalspace (0.90-4) unstable; urgency=low

  * Policy Cleaning
  * -Moved demos binaries to /usr/games
  * -Moved dev binary to /usr/bin
  * -Moved includes to /usr/include/crystalspace
  * Added man generator (Not all binaries yet)
  * Added menus for software or opengl rendering 

 -- Christian Bayle <bayle@aist.enst.fr>  Mon, 26 Nov 2001 10:22:33 +0100

crystalspace (0.90-3) unstable; urgency=low

  * Made better distribution of files beetween main and demos packages
  * Added demos and data packages

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 21 Nov 2001 15:16:07 +0100

crystalspace (0.90-2) unstable; urgency=low

  * Added more appli in menus 

 -- Christian Bayle <bayle@aist.enst.fr>  Mon, 19 Nov 2001 22:35:02 +0100

crystalspace (0.90-1) unstable; urgency=low

  * Initial Release.

 -- Christian Bayle <bayle@aist.enst.fr>  Tue, 20 Nov 2001 21:49:31 +0100

Local variables:
mode: debian-changelog
End:
